<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>AddObject()
: <a class="el" href="classGameScene.html#a2649e608763133b6b2d579d9812d88ac">GameScene</a>
</li>
<li>AddScore()
: <a class="el" href="classGameScene.html#a3b67d5f252a2bc9c824e057661cca2a0">GameScene</a>
</li>
<li>ApplyBonus()
: <a class="el" href="classBonus.html#af6165bb5b501cf8d64a7fd8d521ba29e">Bonus</a>
, <a class="el" href="classCannonBonus.html#ade644ed76cdf178c8a7c48e337213049">CannonBonus</a>
, <a class="el" href="classHealBonus.html#a8243a9cd0a995afe559cced074b82836">HealBonus</a>
, <a class="el" href="classMachineGunBonus.html#a6c1ea93285d160a3422619b09c162d3f">MachineGunBonus</a>
, <a class="el" href="classRocketBonus.html#a91815f3ea62241e18bf8e79f1450c92d">RocketBonus</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>Bomber()
: <a class="el" href="classBomber.html#a8ebefb9c1db1d57f944ebafc53cb4396">Bomber</a>
</li>
<li>Bonus()
: <a class="el" href="classBonus.html#a5270da1a7774a1269d602b86539070a0">Bonus</a>
</li>
<li>BonusRoll()
: <a class="el" href="classEnemy.html#a59c9fcc0c3f927e15060a61b4753b1b3">Enemy</a>
</li>
<li>Bullet()
: <a class="el" href="classBullet.html#a0fafff39183a018fed0233049d3aa0ca">Bullet</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>Cannon()
: <a class="el" href="classCannon.html#ad9e206040466b4ef6fdfc48bc1615aea">Cannon</a>
</li>
<li>CannonBonus()
: <a class="el" href="classCannonBonus.html#a55e6538af4050bb83b09fbab575e1a6d">CannonBonus</a>
</li>
<li>CheckEndOfMap()
: <a class="el" href="classLevelManager.html#acd28c2069a392266fa9698ba4aba2a05">LevelManager</a>
</li>
<li>CheckLevelName()
: <a class="el" href="classMenu.html#a416cfe4b532ec381fe9c2acacf5e5805">Menu</a>
</li>
<li>CheckTerminal()
: <a class="el" href="classMenu.html#acf52b48751de665f35f1aa73689d2365">Menu</a>
</li>
<li>Clear()
: <a class="el" href="classObject.html#a5b25442efcce1e5768e3790b36accd1a">Object</a>
</li>
<li>ClearData()
: <a class="el" href="classLevelManager.html#a31ec00edc2999008eaaba907d68d0250">LevelManager</a>
</li>
<li>CollectGarbage()
: <a class="el" href="classGameScene.html#a5e20f53569ad897e8f3812370576ef01">GameScene</a>
</li>
<li>CollideWith()
: <a class="el" href="classBonus.html#a5b431fadd9abfe4bf59f9879f70a3410">Bonus</a>
, <a class="el" href="classEnemy.html#ac4582c2a7ccffc4dd2b8fd1d43017c33">Enemy</a>
, <a class="el" href="classGameObject.html#abfb8111c32e0c20d2f29d668730c101e">GameObject</a>
, <a class="el" href="classPlayer.html#ab417c6af3306a28ba9d0a047be5dd580">Player</a>
, <a class="el" href="classProjectile.html#ae28e683bcb0193b6ec33defda53caed7">Projectile</a>
</li>
<li>CollisionBonus()
: <a class="el" href="classCollisionBonus.html#ad49b207ae84e9f714dc64e1e11a8b8e6">CollisionBonus</a>
</li>
<li>CollisionEnemy()
: <a class="el" href="classCollisionEnemy.html#a8529842d57050bbb34798d9406825f4b">CollisionEnemy</a>
</li>
<li>CollisionPlayer()
: <a class="el" href="classCollisionPlayer.html#a21792204e1d7ecb150393cb140a13115">CollisionPlayer</a>
</li>
<li>CollisionProjectile()
: <a class="el" href="classCollisionProjectile.html#a39ab03f27b2c6f08565782b77f7f821e">CollisionProjectile</a>
</li>
<li>Cruiser()
: <a class="el" href="classCruiser.html#a28d17733c541e9985c3cab7efccc8138">Cruiser</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>Damage()
: <a class="el" href="classEnemy.html#a42ec023b4093dcc4d68a7c9f9137d5a5">Enemy</a>
, <a class="el" href="classEntity.html#a990ba22de82974bcfad77f68cb74ea7e">Entity</a>
, <a class="el" href="classPlayer.html#ab875e8cc8856544fdff9759cd5576266">Player</a>
</li>
<li>DeleteAll()
: <a class="el" href="classGameScene.html#a5e93b787452987763998ae17960a2bb0">GameScene</a>
</li>
<li>Destroy()
: <a class="el" href="classObject.html#adc113651aab71178e254d7d7f3b1e53b">Object</a>
</li>
<li>DrawHUD()
: <a class="el" href="classGameScene.html#ac8684fb646e9ebb6eaf19d5ec31b29bf">GameScene</a>
</li>
<li>Drone()
: <a class="el" href="classDrone.html#a712934f484aa8b1a8f5d521f870217c0">Drone</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>EndGame()
: <a class="el" href="classGameScene.html#a11fd7ac26d1c7962ec44cc599c0aa79d">GameScene</a>
</li>
<li>Enemy()
: <a class="el" href="classEnemy.html#a2088aa94084a3c64c45f163e44503941">Enemy</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>Fighter()
: <a class="el" href="classFighter.html#ad59b81c018ee965870f46fee88a5d469">Fighter</a>
</li>
<li>Fire()
: <a class="el" href="classCannon.html#a96b9dcbbc69d34a1216731d753374202">Cannon</a>
, <a class="el" href="classMachineGun.html#a8ac70092ebc2d0b648d9016a0a37206e">MachineGun</a>
, <a class="el" href="classRocketLauncher.html#a56b09854e1a553f72aed93663ab9cefa">RocketLauncher</a>
, <a class="el" href="classWeapon.html#a8502c88be7164dca0a53b5d7aec871c9">Weapon</a>
</li>
<li>ForcedRender()
: <a class="el" href="classObject.html#ab04c46e902c454a25751f900948d6d5e">Object</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>GameObject()
: <a class="el" href="classGameObject.html#a0348e3ee2e83d56eafca7a3547f432c4">GameObject</a>
</li>
<li>GameScene()
: <a class="el" href="classGameScene.html#ac53cc300c8896048c0e21c67e49681b9">GameScene</a>
</li>
<li>GetBoundHeight()
: <a class="el" href="classGameObject.html#acbf0266f9230693a470181d4ee9ef9e8">GameObject</a>
</li>
<li>GetBoundWidth()
: <a class="el" href="classGameObject.html#afe84ab4b266362535372065ed0aacdfb">GameObject</a>
</li>
<li>GetDmg()
: <a class="el" href="classProjectile.html#a8f51d1cc762b462b94c280fff8ea7a7f">Projectile</a>
</li>
<li>GetHealth()
: <a class="el" href="classEntity.html#ae1d1d591b332c37c5fab7d8ce60acfc0">Entity</a>
</li>
<li>GetInstance()
: <a class="el" href="classGameScene.html#aa3fd70cbab92a1ac9de85beb9dd24df7">GameScene</a>
, <a class="el" href="classLevelManager.html#ac7fc80999d7cea3833244b858f75aeb0">LevelManager</a>
, <a class="el" href="classScoreManager.html#ae81cc422c792c7f5649d45652e896fdf">ScoreManager</a>
</li>
<li>GetLevel()
: <a class="el" href="classWeapon.html#a9f71a08f964d57ed0c2ff0a0da3f5221">Weapon</a>
</li>
<li>GetMoveDirHorizontal()
: <a class="el" href="classGameObject.html#a24428667f904a6445594d884476c67ac">GameObject</a>
</li>
<li>GetScore()
: <a class="el" href="classGameScene.html#ae7d5de577f89b685e5c4a2b374feabd9">GameScene</a>
</li>
<li>GetType()
: <a class="el" href="classCannon.html#a1e623adcdd54a92c85f526c3c8735a43">Cannon</a>
, <a class="el" href="classMachineGun.html#a41cc778a2ea85547abfc274a5de5e475">MachineGun</a>
, <a class="el" href="classRocketLauncher.html#a8366a645e8c4896d575db1d814e2cdd6">RocketLauncher</a>
, <a class="el" href="classWeapon.html#a378548bc64e0e44f664c6634b14d0e82">Weapon</a>
</li>
<li>GetWeaponLevel()
: <a class="el" href="classPlayer.html#a97b7e9bf5975684133e4ec7e939ab23f">Player</a>
</li>
<li>GetX()
: <a class="el" href="classObject.html#ad644b8a35c64ade4e15b3e33a2a5d77f">Object</a>
</li>
<li>GetY()
: <a class="el" href="classObject.html#a65d30f9f3b22ed328cb24482ed4ba896">Object</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>HandleKey()
: <a class="el" href="classGameScene.html#acd9aba7b1e40afa93916271a23c133ca">GameScene</a>
</li>
<li>Heal()
: <a class="el" href="classPlayer.html#aef35ce5aa7fffc4109b22a55a10018d4">Player</a>
</li>
<li>HealBonus()
: <a class="el" href="classHealBonus.html#a39746528bab725cfbc3f286da30e8e74">HealBonus</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>InitNCurses()
: <a class="el" href="classGameScene.html#ae3369c7f60e4f43fe917d9bdb0984ebd">GameScene</a>
</li>
<li>InitScene()
: <a class="el" href="classGameScene.html#af2617608671f78921b6b066cabe9750a">GameScene</a>
</li>
<li>InitWeapon()
: <a class="el" href="classBomber.html#af331f516205a9310d07cad2869391ff1">Bomber</a>
, <a class="el" href="classCruiser.html#ae47dfbab1b9f7837d138f617a43593c1">Cruiser</a>
, <a class="el" href="classDrone.html#af9fc8b290a80200d599b85b82f27db6b">Drone</a>
, <a class="el" href="classEntity.html#ab04e6b564dfedd4641e8df53970e1fbf">Entity</a>
, <a class="el" href="classFighter.html#a0ecbca6d3e98a60aa971c596375846c5">Fighter</a>
, <a class="el" href="classPlayer.html#aec557c30fd3a978e4a44d1aad9e033fc">Player</a>
</li>
<li>Intersects()
: <a class="el" href="classGameObject.html#a8133e4ab74ef92b50c14c18382b2397e">GameObject</a>
</li>
<li>isMarked()
: <a class="el" href="classObject.html#ae0e2dd4a28a6327bad26b43e8101e1d9">Object</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>KeyPressed()
: <a class="el" href="classPlayer.html#adb5aed7b84adc4628817d6da2cecc2e1">Player</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>LevelManager()
: <a class="el" href="classLevelManager.html#a5e12bdcc49e300a4e9f982e3c589f4fe">LevelManager</a>
</li>
<li>LoadLevel()
: <a class="el" href="classLevelManager.html#ab77bc4254643d9af9d8f64620167ab32">LevelManager</a>
, <a class="el" href="classMenu.html#a59285d5038ddef45bdf3028c078cf32f">Menu</a>
</li>
<li>LoadScoreFile()
: <a class="el" href="classScoreManager.html#a0ec305ee4fdfa013598fae9eef3b78fe">ScoreManager</a>
</li>
<li>Loop()
: <a class="el" href="classGameScene.html#af6ff668cfba529e1e514b85a4facee69">GameScene</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>MachineGun()
: <a class="el" href="classMachineGun.html#ac3db7af0c8523347c0ba1cc834a9c4d7">MachineGun</a>
</li>
<li>MachineGunBonus()
: <a class="el" href="classMachineGunBonus.html#a18f488b1092ee0899f3bd06109b676ea">MachineGunBonus</a>
</li>
<li>MiniRocket()
: <a class="el" href="classMiniRocket.html#a36c0c4f8ba6b0a5108cf37492bad4e83">MiniRocket</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>Object()
: <a class="el" href="classObject.html#a40860402e64d8008fb42329df7097cdb">Object</a>
</li>
<li>ObjectMove()
: <a class="el" href="classGameObject.html#a68ce660066e5dbc9c1ac9be4fabc558f">GameObject</a>
</li>
<li>OnBorderCollision()
: <a class="el" href="classBullet.html#aaa6813fa215431eea252ca9adfd99a48">Bullet</a>
, <a class="el" href="classDrone.html#a5f337d0f09b7b6b7227f3e1eee7214d2">Drone</a>
, <a class="el" href="classGameObject.html#a209b156ef8eec011eba664f3987d4ff7">GameObject</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>ParseColumn()
: <a class="el" href="classLevelManager.html#a0aa5999183349ffa57929d90649cc2d9">LevelManager</a>
</li>
<li>ParseLine()
: <a class="el" href="classLevelManager.html#a00727cc0a463c68e03773d0b99a45f2d">LevelManager</a>
</li>
<li>Parseline()
: <a class="el" href="classScoreManager.html#ab3bf2fbbd0bb1edab3b9057262ed2959">ScoreManager</a>
</li>
<li>Player()
: <a class="el" href="classPlayer.html#affe0cc3cb714f6deb4e62f0c0d3f1fd8">Player</a>
</li>
<li>PopObject()
: <a class="el" href="classLevelManager.html#a0dd819f5e75373256abed6dbfdc686dc">LevelManager</a>
</li>
<li>PrintGameOver()
: <a class="el" href="classGameScene.html#a84ba968799615dd9c19fc3d09541474d">GameScene</a>
</li>
<li>PrintHelp()
: <a class="el" href="classMenu.html#a6052585ce7c5123300ca94ee52c8f711">Menu</a>
</li>
<li>PrintIntro()
: <a class="el" href="classMenu.html#a045e8ed6cd880bd752b3733368d2fa64">Menu</a>
</li>
<li>PrintLevelNames()
: <a class="el" href="classMenu.html#a133f4680b8799854d6afc95a151d5e0e">Menu</a>
</li>
<li>PrintScore()
: <a class="el" href="classScoreManager.html#ad78ee0824f09af4eaec894eaec45e160">ScoreManager</a>
</li>
<li>PrintTutorial()
: <a class="el" href="classMenu.html#adc1aca5945149d6a9a8beb41fce44386">Menu</a>
</li>
<li>Projectile()
: <a class="el" href="classProjectile.html#a29f8169d5b3e6df60de4b5c7d015ae02">Projectile</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>Render()
: <a class="el" href="classObject.html#a2199afbf2f52ff746c4c871e434ff20f">Object</a>
</li>
<li>RenderScene()
: <a class="el" href="classGameScene.html#a154886b7862369bfb149c6ed225e04ef">GameScene</a>
</li>
<li>ResolveCollisions()
: <a class="el" href="classGameScene.html#adfa3b78c34506a3eb93d8d5bc50e1e42">GameScene</a>
</li>
<li>Rocket()
: <a class="el" href="classRocket.html#a8dd93360cf2d88756ac54d690e90f619">Rocket</a>
</li>
<li>RocketBonus()
: <a class="el" href="classRocketBonus.html#aa7e42757231299fa8963fe3df5c0b84b">RocketBonus</a>
</li>
<li>RocketLauncher()
: <a class="el" href="classRocketLauncher.html#a2d86b3d05cee3bfe00c911aee23106b4">RocketLauncher</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>SaveScore()
: <a class="el" href="classScoreManager.html#a53030789b25effbbcd1a8c7315df72ce">ScoreManager</a>
</li>
<li>ScoreManager()
: <a class="el" href="classScoreManager.html#a4f3866ff832127664543349da5c4fbf4">ScoreManager</a>
</li>
<li>SetBoundBox()
: <a class="el" href="classGameObject.html#afd237fc51b336232cd5d97ca0a3266ec">GameObject</a>
</li>
<li>SetDirection()
: <a class="el" href="classWeapon.html#ac18084196a571d8ec73321dce03ae6eb">Weapon</a>
</li>
<li>SetFireRate()
: <a class="el" href="classWeapon.html#a6cbe744adaae3a57d813c39fe9802bd1">Weapon</a>
</li>
<li>SetHealth()
: <a class="el" href="classEntity.html#a665dc0ca1dc7018e36645156848d9397">Entity</a>
</li>
<li>SetLevel()
: <a class="el" href="classWeapon.html#a1f1b8ec10376846551d7731ca7ea0bfa">Weapon</a>
</li>
<li>SetMovementVector()
: <a class="el" href="classGameObject.html#a14a2649fb1de4e3e705fb54df2df8f9b">GameObject</a>
</li>
<li>SetOffsetXY()
: <a class="el" href="classWeapon.html#aa80c770361cc840b283afc903d3b6bb1">Weapon</a>
</li>
<li>SetSprite()
: <a class="el" href="classObject.html#a6cac457fe1568b09a7f510654245972e">Object</a>
</li>
<li>SetupStats()
: <a class="el" href="classBomber.html#a978b4fce46f9b875fc412cb20bc2c001">Bomber</a>
, <a class="el" href="classCruiser.html#a1bdf01c4ccf5cb4305710274cfe5ae65">Cruiser</a>
, <a class="el" href="classDrone.html#afdee1b510410d6512bd9898cfbbf2faf">Drone</a>
, <a class="el" href="classEntity.html#a91cd0f86409513098d548228466eb6d7">Entity</a>
, <a class="el" href="classFighter.html#a111291f871d86c69177b66b832078899">Fighter</a>
, <a class="el" href="classPlayer.html#a4c3cae84a7c20d37295b4dacca62c553">Player</a>
</li>
<li>SetXY()
: <a class="el" href="classObject.html#a209e2a1b3e3a30a11d1d8595a0147ffb">Object</a>
</li>
<li>Shell()
: <a class="el" href="classShell.html#a73240e4ed07f76235774bb3a0a545498">Shell</a>
</li>
<li>Start()
: <a class="el" href="classGameScene.html#a4c248243bbb2e5fe84ce8cc8b2594ee1">GameScene</a>
, <a class="el" href="classLevelManager.html#afd79eedad898882d9a9f7f1e834c1776">LevelManager</a>
</li>
<li>StartMenu()
: <a class="el" href="classMenu.html#a032165d0ada39bda2558e21241f2a965">Menu</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>Update()
: <a class="el" href="classBonus.html#a5659c52191612eaeb9b0dcaab6d5bb09">Bonus</a>
, <a class="el" href="classCruiser.html#a82e7c6812c341ef137c0397f5d39010b">Cruiser</a>
, <a class="el" href="classEnemy.html#a614ad271f07ecf63cb3e665155b7e258">Enemy</a>
, <a class="el" href="classLevelManager.html#a7800611361e7c2ae99102e69429456fc">LevelManager</a>
, <a class="el" href="classObject.html#a5ee5c17a09981cbd7c469370e210b4ff">Object</a>
, <a class="el" href="classPlayer.html#a05b60cac1922c5be5c1be16baffa4497">Player</a>
, <a class="el" href="classProjectile.html#a42c3fc33d84481ac3e7b46eaa3990719">Projectile</a>
, <a class="el" href="classWeapon.html#ae1143ac517648fed1df454cf59bdc13f">Weapon</a>
</li>
<li>UpdateObjects()
: <a class="el" href="classGameScene.html#a450f178e458976fe403bfb428bcd4d90">GameScene</a>
</li>
<li>Upgrade()
: <a class="el" href="classWeapon.html#a0b599385c909713ad4d3f1ab86757cab">Weapon</a>
</li>
<li>UpgradeCanon()
: <a class="el" href="classPlayer.html#a11620bd1b75a51561cead553e04c1247">Player</a>
</li>
<li>UpgradeMachineGun()
: <a class="el" href="classPlayer.html#a3413569d8f44c258e17de759916f4734">Player</a>
</li>
<li>UpgradeRocket()
: <a class="el" href="classPlayer.html#aafc1cccd4d693d203b713573c16ac964">Player</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>Visit()
: <a class="el" href="classBonus.html#a640d3edcd92fa6d886cdeca9f6130928">Bonus</a>
, <a class="el" href="classEnemy.html#a44cdcdae0c7341918adbcfb7489d6b1f">Enemy</a>
, <a class="el" href="classGameObject.html#af71762b88087efbed642c0a728b81792">GameObject</a>
, <a class="el" href="classPlayer.html#a113c9d126fc5c8207f9022c758204966">Player</a>
, <a class="el" href="classProjectile.html#a9f2eea984180f9b5d9d6a4da97bbff33">Projectile</a>
</li>
<li>VisitBonus()
: <a class="el" href="classCollisionBonus.html#a3deb7dbb790606457edd73a4443d1001">CollisionBonus</a>
, <a class="el" href="classCollisionEnemy.html#a47e1ae390eb0ad1724e2f2c9ef22f850">CollisionEnemy</a>
, <a class="el" href="classCollisionPlayer.html#a70532d8dd3460944d7c09294337333a5">CollisionPlayer</a>
, <a class="el" href="classCollisionProjectile.html#a8ae39a9c7b38ab8d4e0965f80bda128d">CollisionProjectile</a>
, <a class="el" href="classCollisionVisitor.html#ac21e99081aed7153372f3aa3b72e7cf5">CollisionVisitor</a>
</li>
<li>VisitEnemy()
: <a class="el" href="classCollisionBonus.html#aff73cb5263fadec07b617171936ce3f2">CollisionBonus</a>
, <a class="el" href="classCollisionEnemy.html#ad8f7122e1d2ecc35b1314a6b8914086a">CollisionEnemy</a>
, <a class="el" href="classCollisionPlayer.html#a6c7b72ba0659a5af4ea831f467303e45">CollisionPlayer</a>
, <a class="el" href="classCollisionProjectile.html#ac5a5da223a772354ef805e2f01be36f4">CollisionProjectile</a>
, <a class="el" href="classCollisionVisitor.html#af05d93df91ad1b3b7fbf939cbb8f2c28">CollisionVisitor</a>
</li>
<li>VisitPlayer()
: <a class="el" href="classCollisionBonus.html#a465bb52368516d6ebf0db27aa1096f1b">CollisionBonus</a>
, <a class="el" href="classCollisionEnemy.html#a69f0406eb5baf03d312a34b7ca810954">CollisionEnemy</a>
, <a class="el" href="classCollisionPlayer.html#ae8bc585e6957a6d630394bf1dedb9ac7">CollisionPlayer</a>
, <a class="el" href="classCollisionProjectile.html#aed4abf7c92949c10b44799bf540e5416">CollisionProjectile</a>
, <a class="el" href="classCollisionVisitor.html#a27165ce473133803b0cf2e7343686876">CollisionVisitor</a>
</li>
<li>VisitProjectile()
: <a class="el" href="classCollisionBonus.html#aea3256a97e9b80d02a0c1234d47694e1">CollisionBonus</a>
, <a class="el" href="classCollisionEnemy.html#ae88d05c50d4cdb6e408d399b6bfa33ec">CollisionEnemy</a>
, <a class="el" href="classCollisionPlayer.html#a83723cb8c1478311edfb8ae22bdbe049">CollisionPlayer</a>
, <a class="el" href="classCollisionProjectile.html#a3ecf64b1d68b549f1a478f55f6e84c54">CollisionProjectile</a>
, <a class="el" href="classCollisionVisitor.html#a0fb0fccfcfe6bf348588a406b3e26407">CollisionVisitor</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>Weapon()
: <a class="el" href="classWeapon.html#a142fe6fb7afc031f9593e085e2478b6d">Weapon</a>
</li>
</ul>


<h3><a id="index__7E"></a>- ~ -</h3><ul>
<li>~Entity()
: <a class="el" href="classEntity.html#adf6d3f7cb1b2ba029b6b048a395cc8ae">Entity</a>
</li>
<li>~GameObject()
: <a class="el" href="classGameObject.html#a224d4f6d9dd75c8a6f9d022eaf586fd9">GameObject</a>
</li>
<li>~GameScene()
: <a class="el" href="classGameScene.html#add5bc48c372aaa7f526c02558a8adf00">GameScene</a>
</li>
<li>~LevelManager()
: <a class="el" href="classLevelManager.html#a72ca9c27cc6b85143e20f83c520d1215">LevelManager</a>
</li>
<li>~Weapon()
: <a class="el" href="classWeapon.html#ac5f7305f5d08c48003c826e6e73f37da">Weapon</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
